
%global meadversion 1.1.2
%global namedversion 1.1.2.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_without mead
%bcond_with javadoc

%{?scl:%scl_package jbossws-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.2.Final-redhat-00001

Name:           %{?scl_prefix}jbossws-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:        JBoss Web Services - API
Group:          Development/Libraries

%if %with mead
Source100: jbossws-api-1.1.2.Final-redhat-00001-scm-sources.zip
Source102: jbossws-api-1.1.2.Final-redhat-00001-project-sources.tar.gz
Source103: jbossws-api-1.1.2.Final-redhat-00001.pom
Source104: jbossws-api-1.1.2.Final-redhat-00001.jar
Source105: jbossws-api-1.1.2.Final-redhat-00001-javadoc.jar
Source106: jbossws-api-1.1.2.Final-redhat-00001-sources.jar
%endif

License:        LGPLv2+
URL:            http://fisheye.jboss.com/viewrep/JBossWS/api/tags/jbossws-api-1.0.3.Final
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jbossws-api-%{namedversion}-%{release}-root

%description
JBossWS API

%if %with javadoc
%package javadoc
Group:          Documentation

Summary:        Javadoc for jbossws-api
BuildRequires:  unzip

%description javadoc
API documentation for jbossws-api.
%endif

%prep
%setup -q -n jbossws-api -T -b 100

%build

%install
rm -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/jbossws-api-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-api-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

# javadoc
%if %with javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jbossws-api-%{namedversion}
%{__unzip} -qq %{_sourcedir}/jbossws-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jbossws-api-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/jbossws-api-%{namedversion}/META-INF
ln -s jbossws-api-%{namedversion} %{buildroot}%{_javadocdir}/jbossws-api
%endif

%clean
rm -rf %{buildroot}

%files -n %{?scl_prefix}jbossws-api
%defattr(0644,root,root,0755)
%{_javadir}/jbossws-api-%{namedversion}.jar
%{_javadir}/jbossws-api.jar
%{_javadir}/jbossws-api-%{namedversion}-sources.jar
%{_javadir}/jbossws-api-sources.jar
%if %with javadoc
%{_javadir}/jbossws-api-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-api-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jbossws-api-%{namedversion}
%{_javadocdir}/jbossws-api
%endif

%changelog
* Tue Oct 16 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.1.2-1.Final_redhat_00001.1
- upgrade to 1.1.2.Final-redhat-00001

* Tue Jul 03 2018 Permaine Cheung <pcheung@redhat.com> - 1.1.1-1.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Fri May 25 2018 Petr Sakar <psakar@redhat.com> - 1.1.1-1.Final_redhat_1.1
- upgrade to 1.1.1.Final-redhat-1

* Tue Jul 07 2015 Hui Wang <huwang@redhat.com> - 1.0.3-1.Final_redhat_1.1
- Upgrade to 1.0.3.Final-redhat-1

* Thu Sep 05 2013 Hui Wang <huwang@redhat.com> - 1.0.2-1.Final_redhat_1.2
- Upgrade to 1.0.2.Final

* Tue Feb 05 2013 Hui Wang <huwang@redhat.com> 1.0.1-1.Final_redhat_1
- Upgrade to 1.0.1.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-3.GA_redhat_2.3
- Rebuild for MD5

* Mon Aug 20 2012 Paul Gier <pgier@redhat.com> - 1.0.0-2.GA_redhat_2.3
- Remove bom from pom patch because it is inherited from parent pom

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-2.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-2.GA_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-2.GA_redhat_1
- Remove javadocs from main package

* Thu Mar 15 2012 Fernando Nasser <fnasser@redhat.com> 1.0.0-1.GA_redhat_1
- Rebuild for java-signed

* Thu Mar 15 2012 Lin Gao <lgao@redhat.com> 1.0.0-0.12.GA_redhat_1
- Change jar install path
- Use new wrapper

* Wed Jan 04 2012 Lin Gao <lgao@redhat.com> 1.0.0-0.11.GA_redhat_1
- Upgrade to 1.0.0.GA

* Fri Nov 25 2011 Lin Gao <lgao@redhat.com> 1.0.0-0.10.CR1_redhat_1
- Upgrade to 1.0.0.CR1

* Fri Nov 11 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.9.Beta2_redhat_1
- Fix name pom in files section

* Fri Nov 11 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.8.Beta2_redhat_1
- Fix name of installed pom

* Fri Nov 11 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.7.Beta2_redhat_1
- Fix options in _jarsign_opts
- Correct directory of pom
- Fix depmap entries

* Thu Nov 10 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.6.Beta2_redhat_1
- RPM build against mead build

* Mon Nov 07 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.5.Beta2_redhat_1
- RPM build 

* Fri Nov 04 2011 Lin Gao <lgao@redhat.com> 1.0.0-0.4.Beta3_redhat_1
- upgrade to 1.0.0.Beta3

* Fri Oct 28 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.3.Beta2_redhat_1
- RPM build 
- Cleanup

* Mon Aug 29 2011 Lin Gao <lgao@redhat.com> 1.0.0-0.2.Beta2
- upgrade to 1.0.0.Beta2
- wolf build

* Thu Jun 2 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.1.Alpha2
- First release
